### Method

# Gtk TreeViewscroll_to_point

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_view_scroll_to_point (
      GtkTreeView* tree_view,
      int tree_x,
      int tree_y
    )

#### Description [src]

Scrolls the tree view such that the top-left corner of the visible area is `tree_x`, `tree_y`, where `tree_x` and `tree_y` are specified in tree coordinates. The `tree_view` must be realized before this function is called. If it isn’t, you probably want to be using gtk_tree_view_scroll_to_cell().

If either `tree_x` or `tree_y` are -1, then that direction isn’t scrolled.

Deprecated since: 4.10

Use `GtkListView` or `GtkColumnView` instead.

#### Parameters

`tree_x`

  Type: `int`

  X coordinate of new top-left pixel of visible area, or -1

`tree_y`

  Type: `int`

  Y coordinate of new top-left pixel of visible area, or -1